VC++ 6.0, 7.0, and 8.0 Compatibility

Giganews Newsgroups
Subject: VC++ 6.0, 7.0, and 8.0 Compatibility
Posted by:  CarlM
Date: Wed, 1 Nov 2006

We have existing VC++ 6.0 and 7.0 code, but are upgrading to Visual 2005 and
intend to use VC++ 8.0 as well. (I, myself, have been stuck in VC++ 6.0 land
up until now). The question is: Are all these versions compatibile at the
..exe/.dll level? I am asking only about unmanaged C++ code. Can I mix and
match .exe's and .dll's from all of these versions? Is there some kind of
compatibility matrix available somewhere?

Thanks,

--
Carl

Replies